Get Entity Details (Banking Connectivity)
curl --request GET \
--url https://api-sandbox.y.uno/v1/banking/entities/{entity_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"merchant_entity_id": "merchant_user_12345",
"national_entity": "INDIVIDUAL",
"phone": {
"country_code": "+1",
"number": "2025551234"
},
"address": {
"address_line_1": "123 Main St",
"address_line_2": "Apt 4B",
"building_number_1": "123",
"building_number_2": null,
"city": "San Francisco",
"state": "CA",
"zip_code": "94102",
"country": "US"
},
"entity_detail": {
"individual": {
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"date_of_birth": "1990-01-15",
"gender": "M",
"country_of_residence": "US",
"tax_information": [
{
"country": "US",
"tax_id": "123-45-6789",
"tax_id_type": "SSN",
"is_primary": true
}
],
"document": {
"document_type": "SSN",
"document_number": "123-45-6789",
"issuing_country": "US",
"issued_at": "2010-01-15",
"expires_at": "2030-01-15"
}
},
"entity": null
}
}{
"code": "NOT_AUTHENTICATED",
"messages": [
"Missing required authentication headers"
],
"http_code": 401
}{
"code": "ENTITY_NOT_FOUND",
"messages": [
"Entity not found"
],
"http_code": 404
}Entities (Banking Connectivity)
Get Entity Details (Banking Connectivity)
GET
/
banking
/
entities
/
{entity_id}
Get Entity Details (Banking Connectivity)
Retrieve the details of an existing entity. Sensitive fields are masked in the response.
Path Parameters
The id of the entity obtained from Create Entity
Was this page helpful?
⌘I